add_rules("mode.debug", "mode.release")
set_languages("c++17")
if is_mode("debug") then
    set_suffixname("d")
end
add_includedirs(os.scriptdir(), {public = true})
target("trans_net")
	set_kind("static")
	add_files("*.cpp")
	add_deps("ofen")
	add_deps("trans_util")
	
	if is_plat("mingw") then
		add_links("ws2_32", "wsock32")
	end